Subject: Re: bug#47982: Unable to type password for encrypted fs due to usb keyboard
From: Maxim Cournoyer <[email-masked]>
To: luhui <[email-masked]>
Cc: James Fenn <[email-masked]>, [email-masked]
Date: Thu, 14 Jul 2022 00:05:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

luhui <[email-masked]> writes:

> On Fri, Apr 23, 2021 at 09:34:45PM +0100, James Fenn wrote:
>> Hi!
>> 
>> I attempted to install guix system on an gpd micropc laptop, choosing an
>> encrypted filesystem without a separate home partition. The laptop keyboard
>> is a usb keyboard. Once installed,  I was able to use the keyboard for the
>> first time the password was asked for. The second time, however, the
>> keyboard was not functional.
>
> Does your machine have a special kernel module for the keyboard?
> If have, please add the system configuration file:
>
> ```
> (operating-system
>  ;; ...
>  (initrd-modules
>   (append
>    (list
>     "module1"
>     "module2")
>    %base-initrd-modules)))
>
> ```

Being USB, I don't think any special support from the kernel Linux would
need to be enabled, but we'd need to know which keyboard exactly.

Closing since this is a very old bug.  I hope you could sort it out!

Thanks,

Maxim